[SCM] Samba Shared Repository - branch master updated

Uri Simchoni uri at samba.org
Wed May 25 20:51:01 UTC 2022


The branch, master has been updated
       via  37c6a327ed7 [ci-images] remove use of sudo in image building smoke test
       via  96da1142866 [ci-images] run podman directly instead of docker link
       via  4ee29f846fd [ci-images] use podman instead of docker
      from  976326fa2b6 s3/util/py_net.c: fix samba-tool domain join&leave segfault

https://git.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 37c6a327ed7ae588e49865621ff79418704e6d38
Author: Uri Simchoni <uri at samba.org>
Date:   Tue May 24 22:54:04 2022 +0300

    [ci-images] remove use of sudo in image building smoke test
    
    Signed-off-by: Uri Simchoni <uri at samba.org>
    Reviewed-by: Andreas Schneider <asn at samba.org>
    Reviewed-by: Andrew Bartlett <abartlet at samba.org>
    
    Autobuild-User(master): Uri Simchoni <uri at samba.org>
    Autobuild-Date(master): Wed May 25 20:50:25 UTC 2022 on sn-devel-184

commit 96da11428662c63b033eb18d6adb3f9a734d7394
Author: Uri Simchoni <uri at samba.org>
Date:   Mon May 23 22:58:16 2022 +0300

    [ci-images] run podman directly instead of docker link
    
    Instead of having a symbolic link from docker to podman,
    use podman directly. This is made for better clarity, and
    because docker and podman are not 100% intechangeable in this
    script.
    
    Signed-off-by: Uri Simchoni <uri at samba.org>
    Reviewed-by: Andreas Schneider <asn at samba.org>
    Reviewed-by: Andrew Bartlett <abartlet at samba.org>

commit 4ee29f846fdf53fbbdeff2663798490766947f0e
Author: Uri Simchoni <uri at samba.org>
Date:   Mon May 23 20:42:55 2022 +0300

    [ci-images] use podman instead of docker
    
    Use podman as image building tool instead of docker. The image-creation
    pipeline still runs on docker only (until gitlab-runner supports
    podman), but the pipeline image may emply podman instead of docker to
    build images.
    
    Signed-off-by: Uri Simchoni <uri at samba.org>
    Reviewed-by: Andreas Schneider <asn at samba.org>
    Reviewed-by: Andrew Bartlett <abartlet at samba.org>

-----------------------------------------------------------------------

Summary of changes:
 .gitlab-ci-main.yml      |  2 +-
 bootstrap/.gitlab-ci.yml | 30 ++++++++++++++----------------
 bootstrap/sha1sum.txt    |  2 +-
 3 files changed, 16 insertions(+), 18 deletions(-)


Changeset truncated at 500 lines:

diff --git a/.gitlab-ci-main.yml b/.gitlab-ci-main.yml
index 02b22b1571f..4bfa2f2ea04 100644
--- a/.gitlab-ci-main.yml
+++ b/.gitlab-ci-main.yml
@@ -42,7 +42,7 @@ variables:
   # Set this to the contents of bootstrap/sha1sum.txt
   # which is generated by bootstrap/template.py --render
   #
-  SAMBA_CI_CONTAINER_TAG: a6e30c371ba434b89af5628bd1974e5cc947eb9f
+  SAMBA_CI_CONTAINER_TAG: a9f12c7712cfccf1bf957d6976dc87917524b55e
   #
   # We use the ubuntu1804 image as default as
   # it matches what we have on sn-devel-184.
diff --git a/bootstrap/.gitlab-ci.yml b/bootstrap/.gitlab-ci.yml
index 111be1556ff..053dd17f9e2 100644
--- a/bootstrap/.gitlab-ci.yml
+++ b/bootstrap/.gitlab-ci.yml
@@ -1,8 +1,6 @@
-services:
-  - docker:dind
 
 .build_image_template:
-  image: docker:latest
+  image: quay.io/podman/stable:latest
   stage: images
   tags:
     # We need to make sure we only use gitlab.com
@@ -29,32 +27,32 @@ services:
   script: |
     set -xueo pipefail
     ci_image_name=samba-ci-${CI_JOB_NAME}
-    docker build -t ${ci_image_name} --build-arg SHA1SUM=${SAMBA_CI_CONTAINER_TAG} bootstrap/generated-dists/${CI_JOB_NAME}
+    podman build -t ${ci_image_name} --build-arg SHA1SUM=${SAMBA_CI_CONTAINER_TAG} bootstrap/generated-dists/${CI_JOB_NAME}
     ci_image_path="${SAMBA_CI_CONTAINER_REGISTRY}/${ci_image_name}"
     timestamp=$(date +%Y%m%d%H%M%S)
-    docker_hash=$(docker image inspect --format='{{index .Id}}' ${ci_image_name} | cut -d : -f 2 | cut -c 1-9)
-    timestamp_tag=${SAMBA_CI_CONTAINER_TAG}-${timestamp}-${GITLAB_USER_LOGIN}-${docker_hash}
+    container_hash=$(podman image inspect --format='{{ .Id }}' ${ci_image_name} | cut -c 1-9)
+    timestamp_tag=${SAMBA_CI_CONTAINER_TAG}-${timestamp}-${GITLAB_USER_LOGIN}-${container_hash}
     samba_repo_root=/home/samba/samba
     # Ensure we are generating the correct container that we expect to be in
     echo "${SAMBA_CI_CONTAINER_TAG}" > /tmp/sha1sum-tag.txt
     diff -u bootstrap/sha1sum.txt /tmp/sha1sum-tag.txt
-    docker run --volume $(pwd):${samba_repo_root} --workdir ${samba_repo_root} ${ci_image_name} \
+    podman run --volume $(pwd):${samba_repo_root} --workdir ${samba_repo_root} ${ci_image_name} \
         /bin/bash -c "echo \"${SAMBA_CI_CONTAINER_TAG}\" > /tmp/sha1sum-tag.txt; diff -u bootstrap/sha1sum.txt /tmp/sha1sum-tag.txt"
-    docker run --volume $(pwd):${samba_repo_root} --workdir ${samba_repo_root} ${ci_image_name} \
+    podman run --volume $(pwd):${samba_repo_root} --workdir ${samba_repo_root} ${ci_image_name} \
         diff -u bootstrap/sha1sum.txt /sha1sum.txt
-    docker run --volume $(pwd):${samba_repo_root} --workdir ${samba_repo_root} ${ci_image_name} \
+    podman run --volume $(pwd):${samba_repo_root} --workdir ${samba_repo_root} ${ci_image_name} \
         bootstrap/template.py --sha1sum > /tmp/sha1sum-template.txt
     diff -u bootstrap/sha1sum.txt /tmp/sha1sum-template.txt
     # run smoke test with samba-o3 or samba-fuzz
-    docker run --volume $(pwd):${samba_repo_root} --workdir ${samba_repo_root} ${ci_image_name} \
-        /bin/bash -c "sudo chown -R samba:samba ${samba_repo_root} && export PKG_CONFIG_PATH=/usr/lib64/compat-gnutls34/pkgconfig:/usr/lib64/compat-nettle32/pkgconfig && script/autobuild.py ${SAMBA_CI_TEST_JOB} --verbose --nocleanup --keeplogs --tail --testbase /tmp/samba-testbase"
-    docker tag ${ci_image_name} ${ci_image_path}:${SAMBA_CI_CONTAINER_TAG}
-    docker tag ${ci_image_name} ${ci_image_path}:${timestamp_tag}
+    podman run --volume $(pwd):/src:ro ${ci_image_name} \
+        /bin/bash -c "git clone /src samba && cd samba && export PKG_CONFIG_PATH=/usr/lib64/compat-gnutls34/pkgconfig:/usr/lib64/compat-nettle32/pkgconfig && script/autobuild.py ${SAMBA_CI_TEST_JOB} --verbose --nocleanup --keeplogs --tail --testbase /tmp/samba-testbase"
+    podman tag ${ci_image_name} ${ci_image_path}:${SAMBA_CI_CONTAINER_TAG}
+    podman tag ${ci_image_name} ${ci_image_path}:${timestamp_tag}
     # We build all images, but only upload is it's not marked as broken
     test x"${SAMBA_CI_IS_BROKEN_IMAGE}" = x"yes" || { \
-        docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY; \
-        docker push ${ci_image_path}:${SAMBA_CI_CONTAINER_TAG}; \
-        docker push ${ci_image_path}:${timestamp_tag}; \
+        podman login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY; \
+        podman push ${ci_image_path}:${SAMBA_CI_CONTAINER_TAG}; \
+        podman push ${ci_image_path}:${timestamp_tag}; \
     }
     echo "Success for ${ci_image_path}:${timestamp_tag}"
     test x"${SAMBA_CI_IS_BROKEN_IMAGE}" = x"no" || { \
diff --git a/bootstrap/sha1sum.txt b/bootstrap/sha1sum.txt
index 9c3a115d95f..e862191aa72 100644
--- a/bootstrap/sha1sum.txt
+++ b/bootstrap/sha1sum.txt
@@ -1 +1 @@
-a6e30c371ba434b89af5628bd1974e5cc947eb9f
+a9f12c7712cfccf1bf957d6976dc87917524b55e


-- 
Samba Shared Repository



More information about the samba-cvs mailing list